JOSM Mac OS 10.6.8

Bonjour,

Gros souci sur mon vieux mac (mais pas assez vieux pour le balancer et passer de suite à Linux…) : JOSM ne veut plus se lancer.

Depuis qq mois j’avais droit au lancement à un message d’avertissement concernant Java, genre “ton java il est trop vieux pour JOSM va falloir mettre à jour”). J’imagine que ça vient de là mais je ne suis pas un technicien et en général j’aime bien qu’une appli fonctionne sans avoir besoin de mettre les mains dans le cambouiscode.

À ce que j’ai cru comprendre, le souci pourrait venir du fait que la dernière version de Java (la 7, me semble t’il, ne tourne pas sur 10.6).

Mettons.

Le souci c’est que (j’ai l’impression) j’ai pas non plus la possibilité de continuer à utiliser Java 6.

:question: Y aurait moyen de revenir à la situation précédente et de continuer à utiliser normalement JOSM (genre une vieille version) sur CE mac ou bien c’est cuit de chez cuit ? Pas réussi à trouver la réponse par moi-même (avec l’aide de Google…). Si la réponse est un truc genre machine virtuelle, boottruc… heu bon admettons (que je fasse de la place sur mon disque dur déjà…) mais me connaissant, probable que je risque de temporiser mes contributions pour quand j’aurais accès à des PC avec JOSM sous Windows ou Linux…

La version 7000 est la dernière qui tourne sous Java 6 (sur Mac et ailleurs).
Moi aussi sur mon Mac Pro je vais devoir y passer. Il est toujours en 10.6.8, il faut que je le passe en 10.9 (gratuit) mais pas trouvé le temps.

Tu peux toujours re-télécharger JOSM version 7000 pour java6 ici: http://josm.openstreetmap.de/download/macosx/josm-macosx-7000-java6.zip

Le JOSM fonctionne bien.

Quel rapport avec le sujet de discussion ?

Hum, j’ai lu tellement de retours négatifs sur les gens qui étaient passés à Maverick que je me suis abstenu…

ça marche ! :slight_smile: Merci Christian.

Dans la foulée, j’ai édité les pages du wiki OSM pour faire passer l’info :

Aucun problème avec Mavericks pour moi sur mon MacBook Pro depuis sa sortie.
Ce qui m’a fait rester en 10.6 sur mon MacPro : quelques logiciels anciens, et la stabilité du 10.6 qui me va très bien au quotidien… mais là, il est temps de faire un grand saut :wink:

10.6.8 m’allait très bien. J’ai migré vers Mavericks à cause d’OSM : JOSM et mkgmap sont les seuls logiciels Java exigeants java7. J’ai tourné le problème dans tous les sens, impossible de trouver une version de java7 pour OS X 10.6, même en compilant un openjdk à la main.

:astonished:

Toujours le même environnement,

  • Mac OS 10.6.8
    JOSM version 7000 pour java6

Rien modifié.

Nouveau problème (auquel je comprends rien évidemment)

au lancement de JOSM message d’erreur (cf. pièce-jointe)

Je lis l’anglais mais là ça pourrait aussi bien être du klingon.

Des idées ? Des solutions ? (de préférence qui n’impliquent pas de changer de matériel, ou même d’OS…) :wink:
Capture d’écran 2015-02-27 à 11.40.55.png

Ça ressemble fort à : http://forum.openstreetmap.fr/viewtopic.php?f=2&t=1783

Merci ! :smiley:

Je confirme ce qui est dit dans l’autre topic :

:arrow_right: Solution :

:nerd: (JOSM 7000)

Préférences/Paramètres de Connexion (2ème signet, icone : globe et prise)

Adresse web : entrer http://api.openstreetmap.org/api

Valider

Bien vue l’allusion au klingon, en ce jour de décès de Mr Spock